Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0041306
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajoralways2019-07-06 01:262019-08-22 14:44
Reportercollazoandy4View Statuspublic 
Assigned Tocollazoandy4 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q4
StatusclosedFix in branchFixed in SCM revision96f308eeb304
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0041306: Apply HQL style guide to FIN_Utility

DescriptionApply HQL style guide to FIN_Utility
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0041287 acknowledgedplatform Tracking issue: Convert HQL to apply new style 

-  Notes
(0113341)
collazoandy4 (developer)
2019-07-13 14:43

Test Plan
  Go to Sales Invoice and create one record for Alimentos y Supermercados, S.A
    Create a new record in Lines tab:
      Product: Limonada 0,5L
      Invoiced Quantity: 10
    Complete the invoice
  Go to Payment In and create a new record for same BP
    Clic on Add Details and select previous invoice
    Clic on Reactivate and check the process ends without error
(0113449)
hgbot (developer)
2019-07-16 18:22

Repository: erp/devel/pi
Changeset: 96f308eeb30495e7c1cefea76f478991c8a334a8
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Tue Jul 16 16:47:48 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/96f308eeb30495e7c1cefea76f478991c8a334a8 [^]

iFixes issue 41306: Apply HQL style guide to FIN_Utility

Applied the new HQL style in FIN_Utility

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/utility/FIN_Utility.java
---
(0113455)
dmiguelez (developer)
2019-07-16 18:25

Fixed by commit: https://code.openbravo.com/erp/devel/pi/rev/96f308eeb304 [^]
(0113456)
dmiguelez (developer)
2019-07-16 18:25

Code Review + Testing Ok
(0113545)
hgbot (developer)
2019-07-19 09:45

Repository: erp/devel/pi
Changeset: 3d6f741849bd42904d4b46bd9f4d59965e32cc24
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Fri Jul 19 09:41:22 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/3d6f741849bd42904d4b46bd9f4d59965e32cc24 [^]

Related to Issue 41306. Removed unnecessary .toString() calls.
If the variable is already a String it is not necessary to
call to the .toString() method.

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/utility/FIN_Utility.java
---
(0114152)
hudsonbot (developer)
2019-08-22 14:44

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ad3efd3bd07c [^]
Maturity status: Test
(0114167)
hudsonbot (developer)
2019-08-22 14:44

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ad3efd3bd07c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-07-06 01:26 collazoandy4 New Issue
2019-07-06 01:26 collazoandy4 Assigned To => Triage Finance
2019-07-06 01:26 collazoandy4 Modules => Core
2019-07-06 01:26 collazoandy4 Triggers an Emergency Pack => No
2019-07-06 01:26 collazoandy4 Assigned To Triage Finance => collazoandy4
2019-07-06 01:26 collazoandy4 Status new => scheduled
2019-07-06 01:31 collazoandy4 Relationship added related to 0041287
2019-07-13 14:43 collazoandy4 Note Added: 0113341
2019-07-16 18:22 hgbot Checkin
2019-07-16 18:22 hgbot Note Added: 0113449
2019-07-16 18:25 dmiguelez Note Added: 0113455
2019-07-16 18:25 dmiguelez Status scheduled => resolved
2019-07-16 18:25 dmiguelez Fixed in Version => 3.0PR19Q4
2019-07-16 18:25 dmiguelez Fixed in SCM revision => https://code.openbravo.com/erp/devel/pi/rev/96f308eeb304 [^]
2019-07-16 18:25 dmiguelez Resolution open => fixed
2019-07-16 18:25 dmiguelez Review Assigned To => dmiguelez
2019-07-16 18:25 dmiguelez Note Added: 0113456
2019-07-16 18:25 dmiguelez Status resolved => closed
2019-07-19 09:45 hgbot Checkin
2019-07-19 09:45 hgbot Note Added: 0113545
2019-08-22 14:44 hudsonbot Checkin
2019-08-22 14:44 hudsonbot Note Added: 0114152
2019-08-22 14:44 hudsonbot Checkin
2019-08-22 14:44 hudsonbot Note Added: 0114167


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker